@Echo Control file to test Kermit-20 Server functions via Tops-20 DECnet NRT
LCLT20:: @CHKPNT LCLT20
@Terminal Ideal
@Info Job
@Get Kermit
@Info Ver
@Info Prog
@Start
*Echo Condition Local Kermit-20
*Set Prompt "Local-Kermit-20>"
*CWD KT:
*
*PWD
*Show 94
*Set 94
*Time NUL
*Time Copy NUL DEC
*Time Copy NUL PTY
*Log Session KT:K20NRV-SESSION.LOG.-1
*Show Line
*Show Packet
*Show Timing
*Set input default-timeout 45
*Set input search-default "\r\n\@"
*Set input timeout-action quit
*Show Input
!
!
REMT20:: @CHKPNT REMT20
!
*Echo Sign into remote Tops-20 NRT
*Connect VENTI2:: /stay /timeout 45
*Input
*Output "oinky \r"
*Input "Last interactive login"
*Echo Don't bother catching up on system notifications
*Input "more?)"
*Output "Q"
*Input
!
!
*Output "Terminal Ideal\r"
*Input
*Output "ttyloc Venti Due Kermit Testing [Batch]\r"
*Input
*Output "Finger\r"
*Input
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit on remote job
*Output "Mount Structure STAR:\r"
*Input
*Output "Get STAR:<KERMIT.K20MIT>KERMIT\r"
*Input
*Output "Info Version\r"
*Input
*Output "Info Memory\r"
*Input
*Output "Start\r"
*Input "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set input search-default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Time PTY\r"
*Input 30
*Output "Time Copy PTY DEC\r"
*Input
*Output "define 94 delay 10,send timeout 20,receive timeout 20,retry packets 100,handshake none,send packet-length 94,receive packet-length 94\r"
*Input
*Output "Show 94\r"
*Input
*Output "Set 94\r"
*Input
!*Echo Note subsecond server NAK'ing!!!
!*Output "Set Receive Server-Timeout 0.3333 \r"
!*Input
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
!
!
*Output "SERVER\r"
*Input 15 "BYE" 
*Input 7 "\r\n" 
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
*Remote PWD
*Remote Space
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Basic tests against NUL:
*Remote Dir NUL:
*Remote Type NUL:
*Remote Delete NUL:
*Echo NUL: looks deleted, but it's still there
*Remote Dir NUL:
*Remote CWD NUL:
*
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo Get is slower than a PTY
*Get "NUL:" NUL:
*Statistics
*Remote Status
!
CWDTST:: @CHKPNT CWDTST
!
*Echo Test Changing real directories
*Remote CWD TOMMYT:<OINKY.HOLMES.ADVENTURES>
*
*Remote PWD
*Remote CWD
*
*Remote PWD
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with data files
*Remote CWD TOMMYT:<OINKY.WILDE.CANTERVILLE>
*
*Echo This The Ghost of Canterville by Oscar Wilde 
*Remote Dir *.TXT.0
PREFIX:: @CHKPNT PREFIX
*GET "GUTENBERG-PREFIX.TXT" PREFIX.TXT;T
*Statistics
*Remote Status
TITLE:: @CHKPNT TITLE
*GET "TITLE-PAGE.TXT" TITLE.TXT;T
*Statistics
*Remote Status
LIST:: @CHKPNT LIST
*GET "LIST-OF-ILLUSTRATIONS.TXT" LIST.TXT;T
*Statistics
*Remote Status
I:: @CHKPNT I
*GET "I.TXT" I.TXT;T
*Statistics
*Remote Status
II:: @CHKPNT II
*GET "II.TXT" II.TXT;T
*Statistics
*Remote Status
III:: @CHKPNT III
*GET "III.TXT" III.TXT;T
*Statistics
*Remote Status
IV:: @CHKPNT IV
*GET "IV.TXT" IV.TXT;T
*Statistics
*Remote Status
V:: @CHKPNT V
*GET "V.TXT" V.TXT;T
*Statistics
*Remote Status
VI:: @CHKPNT VI
*GET "VI.TXT" VI.TXT;T
*Statistics
*Remote Status
VII:: @CHKPNT VII
*GET "VII.TXT" VII.TXT;T
*Statistics
*Remote Status
POSTFX:: @CHKPNT POSTFX
*GET "GUTENBERG-POSTFIX-AND-LICENSE.TXT" POSTFX.TXT;T
*Statistics
*Remote Status
*Remote CWD
*
*Remote PWD
!
!
DONREM:: @CHKPNT DONREM
!
*Echo Done with remote tests, exit the remote Kermit
*Show Line
*Clear
*Finish
*Pause 2
*Output "\r"
*Input 7 "@\r\n@"
!
FINREM:: @CHKPNT FINREM
!
*Echo Log the remote job out
*Output "Logout\r"
*Input 7 "Used"
*Input 7 "\r\n"
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Session
*Connect Close
*Quit
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred files against known originals
@Info Job
@VD *.TXT.0
@Define OWC: TOMMYT:<OINKY.WILDE.CANTERVILLE>
@Define PREFIX: OWC:GUTENBERG-PREFIX.TXT
@Define TITLE:  OWC:TITLE-PAGE.TXT
@Define LIST:   OWC:LIST-OF-ILLUSTRATIONS.TXT
@Define POSTFX: OWC:GUTENBERG-POSTFIX-AND-LICENSE.TXT
@Set Trap File
@FILCOM
*TTY:=PREFIX:,PREFIX.TXT
*TTY:=TITLE:,TITLE.TXT
*TTY:=LIST:,LIST.TXT
*TTY:=OWC:I.TXT,I.TXT
*TTY:=OWC:II.TXT,II.TXT
*TTY:=OWC:III.TXT,III.TXT
*TTY:=OWC:IV.TXT,IV.TXT
*TTY:=OWC:V.TXT,V.TXT
*TTY:=OWC:VI.TXT,VI.TXT
*TTY:=OWC:VII.TXT,VII.TXT
*TTY:=POSTFX:,POSTFX.TXT
=
%FIN::
@Echo That's all Folks!
